##
##  dlint.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2008 OpenPKG Foundation e.V. <http://openpkg.net/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         dlint
Summary:      DNS Zone Verification Utility
URL:          http://www.domtools.com/
Vendor:       Paul A. Balyoz
Packager:     OpenPKG Foundation e.V.
Distribution: OpenPKG Community
Class:        PLUS
Group:        DNS
License:      GPL
Version:      1.4.1
Release:      20080101

#   list of sources
Source0:      http://www.domtools.com/pub/dlint%{version}.tar.gz

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 20040130
PreReq:       OpenPKG, openpkg >= 20040130, bind, perl
AutoReq:      no
AutoReqProv:  no

%description
    Dlint analyzes any DNS zone you specify, and reports any problems
    it finds by displaying errors and warnings. Then it descends
    recursively to examine all zones below the given one (this can be
    disabled with a command line option).

%track
    prog dlint = {
        version   = %{version}
        url       = http://www.domtools.com/
        regex     = dlint(__VER__)\.tar\.gz
    }

%prep
    %setup -q -n dlint%{version}

%build

%install
    rm -rf $RPM_BUILD_ROOT

    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/libexec/dlint \
        $RPM_BUILD_ROOT%{l_prefix}/man/man1

    %{l_shtool} install -c -m 755 \
        -e 's;^\(rrfilt=\).*$;\1"%{l_prefix}/libexec/dlint/digparse";' \
        dlint \
        $RPM_BUILD_ROOT%{l_prefix}/bin/
    %{l_shtool} install -c -m 755 \
        -e 's;^#!/usr/bin/perl;#!%{l_prefix}/bin/perl;' \
        digparse \
        $RPM_BUILD_ROOT%{l_prefix}/libexec/dlint/
    %{l_shtool} install -c -m 644 \
        dlint.1 \
        $RPM_BUILD_ROOT%{l_prefix}/man/man1/

    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean
    rm -rf $RPM_BUILD_ROOT

